(() => {
  var now = Date.now();

  var f = (element, prefix) => {
    


    var day = element.getElementsByClassName("countdown-title")[0];
    day.textContent = `${prefix.day} ${prefix.month}`;
    
    try {
      element.getElementsByClassName("countdown-context")[0].textContent =
        "";
    } catch {}
  };

  setInterval(() => {
    var elapsed = ((Date.now() - now) / 1000) | 0;
    var elements = document.getElementsByClassName("ctfd-event-countdown");
    for (var i = 0; i < elements.length; i++) {
      var element = elements[i];
      console.log("ends in : ", document.getElementsByName("ends_in")[0].content);
      var seconds =  document.getElementsByName("ends_in")[0].content - elapsed;
      f(element, secondsToYearDate(seconds, document.getElementsByName("total_time")[0].content));
    }
  }, 1000);
})();

function secondsToYearDate(seconds, totalSeconds) {
  if (seconds < 0){
    return {
      day: "FIN DE",
      month: "L'ÉVÉNEMENT"
  };
  }
  // Vérifier que les secondes sont dans une plage valide
  if (seconds < 0) seconds = 0;
  if (seconds > totalSeconds) seconds = totalSeconds;
  
  // Calculer le jour de l'année (de 1 à 365)
  // On inverse le calcul car on veut commencer par le 1er janvier quand on a le maximum de secondes
  const dayOfYear = Math.floor(365-(seconds / totalSeconds * 365))+1;
  
  // Définir les mois et leur nombre de jours
  const months = [
      { name: "janvier", days: 31 },
      { name: "février", days: 28 }, // On simplifie en ignorant les années bissextiles
      { name: "mars", days: 31 },
      { name: "avril", days: 30 },
      { name: "mai", days: 31 },
      { name: "juin", days: 30 },
      { name: "juillet", days: 31 },
      { name: "août", days: 31 },
      { name: "septembre", days: 30 },
      { name: "octobre", days: 31 },
      { name: "novembre", days: 30 },
      { name: "décembre", days: 31 }
  ];
  
  // Déterminer le mois et le jour du mois
  let dayCount = 0;
  let monthIndex = 0;
  let dayOfMonth = 0;
  
  for (let i = 0; i < months.length; i++) {
      if (dayCount + months[i].days >= dayOfYear) {
          monthIndex = i;
          dayOfMonth = dayOfYear - dayCount;
          break;
      }
      dayCount += months[i].days;
  }
  
  return {
      day: dayOfMonth,
      month: months[monthIndex].name
  };
}
